远程前面板,NI网络浏览器或网络界面(WIF)无法在浏览器中运行

更新 Dec 6, 2018

适用于

Software

  • LabVIEW Full

问题详述

当从Google Chrome浏览器访问远程前面板时,看到以下消息:

当在Mozilla Firefox中访问远程前面板时,看到以下页面:

当从谷歌浏览器或Mozilla Firefox访问NI网络浏览器或网络接口(WIF)时,看到以下消息:
为什么这些功能无法正常使用,该如何解决这个问题?

解决方案

这些网络技术依赖于被称为Netscape插件应用程序编程接口(NPAPI)的浏览器插件。为提高浏览器安全性,Google Chrome从版本42开始就已停用NPAPI,Mozilla Firefox从版本52开始停用NPAPI。

可以点击Customize and control Google Chrome按钮,然后选择Help and about » About Google Chrome ,查看您的Google Chrome版本。


可以通过单击Open menu按钮并选择 Open Help Menu按钮,然后选择 About Firefox菜单项来检查Mozilla Firefox版本

Google Chrome 42及更高版本,Mozilla Firefox 52及更高版本以及Microsoft Edge是不支持这些旧NI网络技术的浏览器。 NI强烈建议客户使用支持的浏览器(Internet Explorer)。

较新的网络技术,如LabVIEW NXG Web模块 和SystemLink,支持最新版本的Chrome,Firefox,Safari和Edge。更多详细信息,请参阅这些产品的自述文件。

相关信息

此外,在Mozilla Firefox版本52发布后,NPAPI插件可能会继续在Mozilla Firefox的支持版本中运行一段时间。如果您在旧版本Firefox遇到丢失插件的问题,您可以 restore these plug-ins

本文是否有帮助?

无帮助